# RestfulCelluloid

RestfulCelluloid is a simple RESTful interface to the celluloid actors. It offers a technology independent communication layer (JSON over HTTP) that can interact directly with Celluloid actors.


## Installation

Add this line to your application's Gemfile:

    gem 'restful_celluloid'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install restful_celluloid

## Usage
Minimal example:

    require 'restful_celluloid'
    
    class MyActor
      include Celluloid

      def simple_method
        "some_result"
      end

    end

    MyActor.supervise_as :my_actor

    RestfulCelluloid.start! 12345

Now you can call the service:

    curl http://localhost:12345/actor/my_actor/simple_method

Result:

    "some_result"
    

## Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request
