Feature: invoking actor methods using GET requests

Scenario: invoking method without parameters - happy path
  Given there is an actor registered
  When I call an existing method without parameters using GET method
  Then I should receive result of the method call in the response

Scenario: invoking method with parameters - happy path
  Given there is an actor registered
  When I call an existing method with parameters using GET method
  Then I should receive result of the parametrized method call in the response

Scenario: invoking method that raises exception
  Given there is an actor registered
  When I call an existing method that raises an exception using GET method
  Then I should receive 500 status code and an error object containing message "Method execution raised exception."
  And the response should contain exception message and back trace

Scenario: reporting error when actor is not registered  
  When I call a method without parameters on a non-existing actor using GET method
  Then I should receive 404 status code and an error object containing message "Actor 'wrong_actor' not found."

Scenario: invoking method when method does not exist
  Given there is an actor registered
  When I call an non-existing method without parameters using GET method
  Then I should receive 404 status code and an error object containing message "Method 'wrong_method' not found on actor 'my_actor'."
