When(/^I call an existing method without parameters using GET method$/) do
  invoke_on_actor :my_actor, :simple_method 
end

Then(/^I should receive result of the method call in the response$/) do
  @result.code.should == 200
  @result.body.should == "\"some_result\""
end

Then(/^I should receive result of the parametrized method call in the response$/) do
  @result.code.should == 200
  @result['param1'].should == 'abc'
end


When(/^I call a method without parameters on a not\-existing actor using GET method$/) do
  invoke_on_actor :wrong_actor, :simple_method 
end

Then(/^I should receive (\d+) status code and an error object containing message "(.*?)"$/) do |expected_code, expected_message|
  @result.code.should == expected_code.to_i
  JSON.parse(@result.body)['error'].should == expected_message
end


When(/^I call an non\-existing method without parameters using GET method$/) do
  invoke_on_actor :my_actor, :wrong_method 
end

When(/^I call a method without parameters on a non\-existing actor using GET method$/) do
  invoke_on_actor :wrong_actor, :simple_method 
end

When(/^I call an existing method with parameters using GET method$/) do
  invoke_on_actor :my_actor, :method_with_params, param1: 'abc'
end

When(/^I call an existing method that raises an exception using GET method$/) do
  invoke_on_actor :my_actor, :exception_raising_method 
end

Then(/^the response should contain exception message and back trace$/) do
  error_body=JSON.parse(@result.body)
  error_body['message'].should == 'oops!'
  error_body['backtrace'].should be_a Array
end
