require 'restful_celluloid'
require 'httparty'

Before do
  RestfulCelluloid.start 31337
end


After do
  RestfulCelluloid.stop
end

class MyActor
  include Celluloid

  def simple_method
    "some_result"
  end

  def method_with_params params
    params
  end

  def exception_raising_method
    raise "oops!"
  end
end

def register_an_actor
  MyActor.supervise_as :my_actor 
end

def get_list_of_actors
  HTTParty.get("http://localhost:31337/actors")
end

def invoke_on_actor actor, method_name, params={}
  @result=HTTParty.get("http://localhost:31337/actor/%s/%s" % [actor.to_s, method_name.to_s], {query: params})
end