require 'spec_helper'

module RestfulCelluloid
  describe "start/stop methods" do
    it "should start/stop server on the specified port" do
      RestfulCelluloid::start 31337
      socket=TCPSocket.new 'localhost', 31337
      socket.close
      RestfulCelluloid::stop
    end
  end


  class MyActor
    include Celluloid

    def simple_method
      "some_result"
    end
  end

  describe RESTfulServer do
    before do 
      RestfulCelluloid::start 31337
      MyActor.supervise_as :my_actor 
    end
    after {RestfulCelluloid::stop}
    it "should list actors" do
      result=HTTParty.get('http://localhost:31337/actors')
      result.code.should == 200
      result.content_type.should include 'application/json'
      result.should include('my_actor')
    end
  end


end
